Summary:	The terminal feature database used by certain applications.
Name:		termcap
Group:		System Environment/Base
License:	none
Version:	10.2.7
Release:	2
Source0:	http://www.tuxedo.org/~esr/terminfo/termtypes.tc.gz
Patch0:		termcap-linuxlat.patch
Patch1:		termcap-xtermchanges.patch
BuildArch: noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The termcap package provides the /etc/termcap file.  /etc/termcap is a
database which defines the capabilities of various terminals and
terminal emulators.  Certain programs use the /etc/termcap file to
access various features of terminals (the bell, colors, and graphics,
etc.).

%files
  %attr(0644,root,root)		%config /etc/termcap

%prep
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
  zcat %{SOURCE0} > $RPM_BUILD_ROOT/%{_sysconfdir}/termcap

  pushd $RPM_BUILD_ROOT/%{_sysconfdir};
%patch0 -p0
%patch1 -p0
  popd

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/termcap.orig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 10.2.7, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 10.2.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
